Backups

Get Backups

get

Get Backups

Authorizations
X-API-KeystringRequired
Query parameters
pageinteger · min: 1Optional

page number

page_sizeinteger · min: 1Optional

items per page

orderstring · enumOptional

asc or desc

Possible values:
service_idstringOptional

filter by serviceId value

statusstringOptional

filter by status value

Responses
chevron-right
200

OK

application/json
backups_countintegerOptional

BackupsCount holds count of the backups

pages_countintegerOptional

PagesCount counter of all pages

get
/skybackup/v1/backups

Get all Backups Schedules

get

Get all Backups Schedules

Authorizations
X-API-KeystringRequired
Query parameters
pageinteger · min: 1Optional

page number

page_sizeinteger · min: 1Optional

items per page

service_idstring · min: 3Required

ServiceID Query

typestringOptional

full,incremental,binarylog or dump

orderstring · enumOptional

asc or desc

Possible values:
Responses
chevron-right
200

OK

application/json
pages_countintegerOptional

PagesCount counter of all pages

schedules_countintegerOptional

SchedulesCount holds count of the backups schedules

get
/skybackup/v1/backups/schedules

Create Backup Schedule

post

Create Backup Schedule

Authorizations
X-API-KeystringRequired
Body
backup_typestring · enumRequired

supported types of the backups are:

  • full - Full backups create a complete backup of the database server in an remote bucket directory. The time the backup takes depends on the size of the databases you're backing up.
  • incremental - incremental backups update a previous backup with whatever changes to the data have occurred since the backup
  • binarylog - backups the binary log, which contains a record of all changes to the databases, both data and structure. It consists of a set of closed binary log files.
  • dump - a backup that reproduces table structure and data, without copying the actual data files.
  • snapshot - a backup that captures the state of the database persistent volume at a specific point in time.
Possible values:
schedulestring · enumRequired

Schedules supported:

Possible values:
service_idstringRequired

unique id of the database service

Example: dbxxxxx
Responses
chevron-right
200

OK

application/json
cloud_providerstring · enumOptional

represents the cloud provider Enum=gcp;aws;onprem

Possible values:
created_atstringOptional

CreatedAt represents the time when the schedule was created

idintegerOptional

id of the operation

messagestringOptional

Message holds details about the backup

schedulestring · enumOptional

Schedules supported:

Possible values:
scheduled_atstringOptional

ScheduledAt represents schedule time of the backup

service_idstringOptional

service id of the database

service_namestringOptional

name of the database service

statusstringOptional

status of the backup

suspendedbooleanOptional

Suspended determines if the backup schedule is suspended or not when a backup schedule is suspended no new backups will be created default value is false

typestringOptional

Type of the backup

updated_atstringOptional

UpdatedAt represents the time when the schedule was updated

post
/skybackup/v1/backups/schedules

Get Backup schedule

get

Get Backup schedule

Authorizations
X-API-KeystringRequired
Path parameters
idstringRequired

Backup ID

Responses
chevron-right
200

OK

application/json
cloud_providerstring · enumOptional

represents the cloud provider Enum=gcp;aws;onprem

Possible values:
created_atstringOptional

CreatedAt represents the time when the schedule was created

idintegerOptional

id of the operation

messagestringOptional

Message holds details about the backup

schedulestring · enumOptional

Schedules supported:

Possible values:
scheduled_atstringOptional

ScheduledAt represents schedule time of the backup

service_idstringOptional

service id of the database

service_namestringOptional

name of the database service

statusstringOptional

status of the backup

suspendedbooleanOptional

Suspended determines if the backup schedule is suspended or not when a backup schedule is suspended no new backups will be created default value is false

typestringOptional

Type of the backup

updated_atstringOptional

UpdatedAt represents the time when the schedule was updated

get
/skybackup/v1/backups/schedules/{id}

Delete Backup Schedule

delete

Delete Backup Schedule

Authorizations
X-API-KeystringRequired
Path parameters
idstringRequired

Backup ID

Responses
chevron-right
200

OK

No content

delete
/skybackup/v1/backups/schedules/{id}

No content

Update Backup Schedules details

patch

Update Backup Schedules details

Authorizations
X-API-KeystringRequired
Path parameters
idstringRequired

Backup ID

Body
backup_typestring · enumOptional

supported types of the backups are:

  • full - Full backups create a complete backup of the database server in an remote bucket directory. The time the backup takes depends on the size of the databases you're backing up.
  • incremental - incremental backups update a previous backup with whatever changes to the data have occurred since the backup
  • binarylog - backups the binary log, which contains a record of all changes to the databases, both data and structure. It consists of a set of closed binary log files.
  • dump - a backup that reproduces table structure and data, without copying the actual data files.
  • snapshot - a backup that captures the state of the database persistent volume at a specific point in time.
Possible values:
schedulestring · enumOptional

Schedules supported:

Possible values:
suspendedbooleanOptional

determines if the backup schedule is suspended or not when a backup schedule is suspended no new backups will be created default value is false

Responses
chevron-right
200

OK

application/json
cloud_providerstring · enumOptional

represents the cloud provider Enum=gcp;aws;onprem

Possible values:
created_atstringOptional

CreatedAt represents the time when the schedule was created

idintegerOptional

id of the operation

messagestringOptional

Message holds details about the backup

schedulestring · enumOptional

Schedules supported:

Possible values:
scheduled_atstringOptional

ScheduledAt represents schedule time of the backup

service_idstringOptional

service id of the database

service_namestringOptional

name of the database service

statusstringOptional

status of the backup

suspendedbooleanOptional

Suspended determines if the backup schedule is suspended or not when a backup schedule is suspended no new backups will be created default value is false

typestringOptional

Type of the backup

updated_atstringOptional

UpdatedAt represents the time when the schedule was updated

patch
/skybackup/v1/backups/schedules/{id}

Get All Backups per service

get

Get All Backups per service

Authorizations
X-API-KeystringRequired
Path parameters
service_idstring · min: 5Required

Service ID

Responses
chevron-right
200

OK

application/json

holds a related data for the given backup

binlog_filestringOptional

name of the binary log file

binlog_gtid_positionstringOptional

looks up the position in the current binlog, and returns a string representation of the corresponding GTID position

binlog_positionstringOptional

position inside the binary log file

cloud_providerstring · enumOptional

represents the cloud provider Enum=gcp;aws;onprem

Possible values:
disk_sizestringOptional

required disk size in order to restore this backup in human readable format

disk_size_bytesintegerOptional

disk size in order to restore this backup in bytes

end_timestringOptional

execution end time of the backup

idstringOptional

unique id of the backup

is_external_storagebooleanOptional

determines if the backup is stored in external storage

methodstringOptional

binary tool or implementation used to create a backup

point_in_timestringOptional

timestamp represents date and time value in 'CCYY-MM-DD hh:mm:ss' format

reference_full_backupstringOptional

reference to the full backup

server_podstringOptional

name of the database pod from which the backup is created

service_idstringOptional

unique id of the database service

service_namestringOptional

name of the database service

start_timestringOptional

execution start time of the backup

statusstringOptional

status of the backup execution

storage_bytesintegerOptional

represents size of the backup in bytes

typestringOptional

supported types of the backups are:

  • full - Full backups create a complete backup of the database server in an remote bucket directory. The time the backup takes depends on the size of the databases you're backing up.
  • incremental - incremental backups update a previous backup with whatever changes to the data have occurred since the backup
  • binarylog - backups the binary log, which contains a record of all changes to the databases, both data and structure. It consists of a set of closed binary log files.
  • dump - a backup that reproduces table structure and data, without copying the actual data files.
  • snapshot - a backup that captures the state of the database persistent volume at a specific point in time.
get
/skybackup/v1/backups/{service_id}

Last updated

Was this helpful?